Managed Databases - Create Or Update

Hiermee maakt u een nieuwe database of werkt u een bestaande database bij.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}?api-version=2025-01-01

URI-parameters

Name In Vereist Type Description
databaseName
path True

string

De naam van de database.

managedInstanceName
path True

string

De naam van het beheerde exemplaar.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Vereist Type Description
location True

string

De geografische locatie waar de resource zich bevindt

properties.autoCompleteRestore

boolean

Hiermee wordt aangegeven of het automatisch herstellen van deze beheerde database moet worden voltooid.

properties.catalogCollation

CatalogCollationType

Sortering van de metagegevenscatalogus.

properties.collation

string

Sortering van de beheerde database.

properties.createMode

ManagedDatabaseCreateMode

Modus voor het maken van beheerde databases. PointInTimeRestore: maak een database door een back-up naar een bepaald tijdstip van een bestaande database te herstellen. SourceDatabaseName, SourceManagedInstanceName en PointInTime moeten worden opgegeven. RestoreExternalBackup: maak een database door deze te herstellen vanuit externe back-upbestanden. Sortering, StorageContainerUri en StorageContainerSasToken moeten worden opgegeven. Herstel: Hiermee maakt u een database door een geo-gerepliceerde back-up te herstellen. RecoverableDatabaseId moet worden opgegeven als de herstelbare databaseresource-id om te herstellen. RestoreLongTermRetentionBackup: maak een database door een back-up voor langetermijnretentie te herstellen (longTermRetentionBackupResourceId vereist).

properties.crossSubscriptionRestorableDroppedDatabaseId

string

De herstelbare databaseresource-id voor meerdere abonnementen is verwijderd om te herstellen bij het maken van deze database.

properties.crossSubscriptionSourceDatabaseId

string

De resource-id van de brondatabase voor meerdere abonnementen die is gekoppeld aan het maken van deze database.

properties.crossSubscriptionTargetManagedInstanceId

string

Doel-id van beheerd exemplaar dat wordt gebruikt bij het herstellen van meerdere abonnementen.

properties.isLedgerOn

boolean

Of deze database nu een grootboekdatabase is, wat betekent dat alle tabellen in de database grootboektabellen zijn. Opmerking: de waarde van deze eigenschap kan niet worden gewijzigd nadat de database is gemaakt.

properties.lastBackupName

string

De naam van het laatste back-upbestand voor het herstellen van deze beheerde database.

properties.longTermRetentionBackupResourceId

string

De naam van de langetermijnretentieback-up die moet worden gebruikt voor het herstellen van deze beheerde database.

properties.recoverableDatabaseId

string

De resource-id van de herstelbare database die is gekoppeld aan het maken van deze database.

properties.restorableDroppedDatabaseId

string

De herstelde databaseresource-id die moet worden hersteld bij het maken van deze database.

properties.restorePointInTime

string (date-time)

Conditional. Als createMode PointInTimeRestore is, is deze waarde vereist. Hiermee geeft u het tijdstip (ISO8601-indeling) van de brondatabase op die wordt hersteld om de nieuwe database te maken.

properties.sourceDatabaseId

string

De resource-id van de brondatabase die is gekoppeld aan het maken van deze database.

properties.storageContainerIdentity

string

Conditional. Als createMode RestoreExternalBackup is, wordt deze waarde gebruikt. Hiermee geeft u de identiteit op die wordt gebruikt voor verificatie van opslagcontainers. Kan SharedAccessSignature of ManagedIdentity zijn; als er geen SharedAccessSignature is opgegeven, wordt ervan uitgegaan.

properties.storageContainerSasToken

string

Conditional. Als createMode RestoreExternalBackup is en storageContainerIdentity niet ManagedIdentity is, is deze waarde vereist. Hiermee geeft u het sas-token voor de opslagcontainer op.

properties.storageContainerUri

string

Conditional. Als createMode RestoreExternalBackup is, is deze waarde vereist. Hiermee geeft u de URI van de opslagcontainer waarin back-ups voor deze herstel worden opgeslagen.

tags

object

Resourcetags.

Antwoorden

Name Type Description
200 OK

ManagedDatabase

De updateoperatie van de bron 'ManagedDatabase' is geslaagd

201 Created

ManagedDatabase

Resource 'ManagedDatabase' aanmaakoperatie geslaagd

Kopteksten

  • Location: string
  • Retry-After: integer
202 Accepted

Resourcebewerking geaccepteerd.

Kopteksten

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Creates a new managed database by restoring from an external backup
Creates a new managed database by restoring from an external backup using managed identity
Creates a new managed database from restoring a geo-replicated backup
Creates a new managed database from restoring a long term retention backup
Creates a new managed database using cross subscription point in time restore
Creates a new managed database using point in time restore
Creates a new managed database with ledger on.
Creates a new managed database with maximal properties
Creates a new managed database with minimal properties

Creates a new managed database by restoring from an external backup

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "autoCompleteRestore": true,
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "createMode": "RestoreExternalBackup",
    "lastBackupName": "last_backup_name",
    "storageContainerSasToken": "sv=2015-12-11&sr=c&sp=rl&sig=1234",
    "storageContainerUri": "https://myaccountname.blob.core.windows.net/backups"
  }
}

Voorbeeldrespons

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database by restoring from an external backup using managed identity

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "autoCompleteRestore": true,
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "createMode": "RestoreExternalBackup",
    "lastBackupName": "last_backup_name",
    "storageContainerIdentity": "ManagedIdentity",
    "storageContainerUri": "https://myaccountname.blob.core.windows.net/backups"
  }
}

Voorbeeldrespons

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database from restoring a geo-replicated backup

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/server1/databases/testdb_recovered?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "createMode": "Recovery",
    "recoverableDatabaseId": "/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/Default-SQL-WestEurope/providers/Microsoft.Sql/managedInstances/testsvr/recoverableDatabases/testdb"
  }
}

Voorbeeldrespons

{
  "name": "testdb_recovered",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/server1/recoverableDatabases/testdb_recovered",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2018-11-07T04:41:33.937Z",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb_recovered",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/recoverableDatabases/testdb_recovered",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2018-11-07T04:41:33.937Z",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database from restoring a long term retention backup

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "createMode": "RestoreExternalBackup",
    "storageContainerSasToken": "sv=2015-12-11&sr=c&sp=rl&sig=1234",
    "storageContainerUri": "https://myaccountname.blob.core.windows.net/backups"
  }
}

Voorbeeldrespons

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database using cross subscription point in time restore

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "createMode": "PointInTimeRestore",
    "crossSubscriptionSourceDatabaseId": "/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr2/databases/testdb",
    "crossSubscriptionTargetManagedInstanceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr",
    "restorePointInTime": "2017-07-14T05:35:31.503Z"
  }
}

Voorbeeldrespons

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database using point in time restore

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "createMode": "PointInTimeRestore",
    "restorePointInTime": "2017-07-14T05:35:31.503Z",
    "sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb"
  }
}

Voorbeeldrespons

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database with ledger on.

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "isLedgerOn": true
  }
}

Voorbeeldrespons

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testcl/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": true,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testcl/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": true,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/locations/southeastasia/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2022-08-01

Creates a new managed database with maximal properties

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Voorbeeldrespons

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/locations/southeastasia/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2017-03-01

Creates a new managed database with minimal properties

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia"
}

Voorbeeldrespons

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/locations/southeastasia/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2017-03-01

Definities

Name Description
CatalogCollationType

Sortering van de metagegevenscatalogus.

createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

InaccessibilityReason

Oorzaak soort. Toegestane waarden zijn 'TransparentDataEncryption', 'DatabaseReplication' en 'Unknown'.

ManagedDatabase

Een beheerde databaseresource.

ManagedDatabaseCreateMode

Modus voor het maken van beheerde databases. PointInTimeRestore: maak een database door een back-up naar een bepaald tijdstip van een bestaande database te herstellen. SourceDatabaseName, SourceManagedInstanceName en PointInTime moeten worden opgegeven. RestoreExternalBackup: maak een database door deze te herstellen vanuit externe back-upbestanden. Sortering, StorageContainerUri en StorageContainerSasToken moeten worden opgegeven. Herstel: Hiermee maakt u een database door een geo-gerepliceerde back-up te herstellen. RecoverableDatabaseId moet worden opgegeven als de herstelbare databaseresource-id om te herstellen. RestoreLongTermRetentionBackup: maak een database door een back-up voor langetermijnretentie te herstellen (longTermRetentionBackupResourceId vereist).

ManagedDatabaseExtendedAccessibilityInfo

Uitgebreide toegankelijkheidsinformatie voor beheerde database

ManagedDatabaseStatus

Status van de database.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

CatalogCollationType

Sortering van de metagegevenscatalogus.

Waarde Description
DATABASE_DEFAULT

DATABASE_DEFAULT

SQL_Latin1_General_CP1_CI_AS

SQL_Latin1_General_CP1_CI_AS

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

InaccessibilityReason

Oorzaak soort. Toegestane waarden zijn 'TransparentDataEncryption', 'DatabaseReplication' en 'Unknown'.

Waarde Description
Unknown

Onbekend

TransparentDataEncryption

TransparanteGegevensversleuteling

DatabaseReplication

DatabaseReplicatie

ManagedDatabase

Een beheerde databaseresource.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

location

string

De geografische locatie waar de resource zich bevindt

name

string

De naam van de resource

properties.autoCompleteRestore

boolean

Hiermee wordt aangegeven of het automatisch herstellen van deze beheerde database moet worden voltooid.

properties.catalogCollation

CatalogCollationType

Sortering van de metagegevenscatalogus.

properties.collation

string

Sortering van de beheerde database.

properties.createMode

ManagedDatabaseCreateMode

Modus voor het maken van beheerde databases. PointInTimeRestore: maak een database door een back-up naar een bepaald tijdstip van een bestaande database te herstellen. SourceDatabaseName, SourceManagedInstanceName en PointInTime moeten worden opgegeven. RestoreExternalBackup: maak een database door deze te herstellen vanuit externe back-upbestanden. Sortering, StorageContainerUri en StorageContainerSasToken moeten worden opgegeven. Herstel: Hiermee maakt u een database door een geo-gerepliceerde back-up te herstellen. RecoverableDatabaseId moet worden opgegeven als de herstelbare databaseresource-id om te herstellen. RestoreLongTermRetentionBackup: maak een database door een back-up voor langetermijnretentie te herstellen (longTermRetentionBackupResourceId vereist).

properties.creationDate

string (date-time)

De aanmaakdatum van de database.

properties.crossSubscriptionRestorableDroppedDatabaseId

string

De herstelbare databaseresource-id voor meerdere abonnementen is verwijderd om te herstellen bij het maken van deze database.

properties.crossSubscriptionSourceDatabaseId

string

De resource-id van de brondatabase voor meerdere abonnementen die is gekoppeld aan het maken van deze database.

properties.crossSubscriptionTargetManagedInstanceId

string

Doel-id van beheerd exemplaar dat wordt gebruikt bij het herstellen van meerdere abonnementen.

properties.defaultSecondaryLocation

string

Geografisch gekoppelde regio.

properties.earliestRestorePoint

string (date-time)

Vroegst herstelpunt in de tijd voor herstel naar een bepaald tijdstip.

properties.extendedAccessibilityInfo

ManagedDatabaseExtendedAccessibilityInfo

Aanvullende informatie over waarneembaarheid en probleemoplossing voor databases in de status 'Ontoegankelijk'.

properties.failoverGroupId

string

Resource-id van exemplaarfailovergroep waartoe deze beheerde database behoort.

properties.isLedgerOn

boolean

Of deze database nu een grootboekdatabase is, wat betekent dat alle tabellen in de database grootboektabellen zijn. Opmerking: de waarde van deze eigenschap kan niet worden gewijzigd nadat de database is gemaakt.

properties.lastBackupName

string

De naam van het laatste back-upbestand voor het herstellen van deze beheerde database.

properties.longTermRetentionBackupResourceId

string

De naam van de langetermijnretentieback-up die moet worden gebruikt voor het herstellen van deze beheerde database.

properties.recoverableDatabaseId

string

De resource-id van de herstelbare database die is gekoppeld aan het maken van deze database.

properties.restorableDroppedDatabaseId

string

De herstelde databaseresource-id die moet worden hersteld bij het maken van deze database.

properties.restorePointInTime

string (date-time)

Conditional. Als createMode PointInTimeRestore is, is deze waarde vereist. Hiermee geeft u het tijdstip (ISO8601-indeling) van de brondatabase op die wordt hersteld om de nieuwe database te maken.

properties.sourceDatabaseId

string

De resource-id van de brondatabase die is gekoppeld aan het maken van deze database.

properties.status

ManagedDatabaseStatus

Status van de database.

properties.storageContainerIdentity

string

Conditional. Als createMode RestoreExternalBackup is, wordt deze waarde gebruikt. Hiermee geeft u de identiteit op die wordt gebruikt voor verificatie van opslagcontainers. Kan SharedAccessSignature of ManagedIdentity zijn; als er geen SharedAccessSignature is opgegeven, wordt ervan uitgegaan.

properties.storageContainerSasToken

string

Conditional. Als createMode RestoreExternalBackup is en storageContainerIdentity niet ManagedIdentity is, is deze waarde vereist. Hiermee geeft u het sas-token voor de opslagcontainer op.

properties.storageContainerUri

string

Conditional. Als createMode RestoreExternalBackup is, is deze waarde vereist. Hiermee geeft u de URI van de opslagcontainer waarin back-ups voor deze herstel worden opgeslagen.

systemData

systemData

Azure Resource Manager metadata met creationBy en modifiedBy informatie.

tags

object

Resourcetags.

type

string

Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts"

ManagedDatabaseCreateMode

Modus voor het maken van beheerde databases. PointInTimeRestore: maak een database door een back-up naar een bepaald tijdstip van een bestaande database te herstellen. SourceDatabaseName, SourceManagedInstanceName en PointInTime moeten worden opgegeven. RestoreExternalBackup: maak een database door deze te herstellen vanuit externe back-upbestanden. Sortering, StorageContainerUri en StorageContainerSasToken moeten worden opgegeven. Herstel: Hiermee maakt u een database door een geo-gerepliceerde back-up te herstellen. RecoverableDatabaseId moet worden opgegeven als de herstelbare databaseresource-id om te herstellen. RestoreLongTermRetentionBackup: maak een database door een back-up voor langetermijnretentie te herstellen (longTermRetentionBackupResourceId vereist).

Waarde Description
Default

Verstek

RestoreExternalBackup

RestoreExternalBackup

PointInTimeRestore

PointInTimeRestore

Recovery

Recovery

RestoreLongTermRetentionBackup

RestoreLongTermRetentionBackup

ManagedDatabaseExtendedAccessibilityInfo

Uitgebreide toegankelijkheidsinformatie voor beheerde database

Name Type Description
inaccessibilityReasonDescription

string

Uitleg van de hoofdoorzaak en mitigerende maatregelen.

inaccessibilityReasonErrorCode

string

SQL Server-foutcode verbonden met de oorzaak van ontoegankelijkheid.

inaccessibilityReasonKind

InaccessibilityReason

Oorzaak soort. Toegestane waarden zijn 'TransparentDataEncryption', 'DatabaseReplication' en 'Unknown'.

inaccessibilityReasonTdeKeyUri

string

Voor de hoofdoorzaak typt u "TransparentDataEncryption", de CMK-URI.

ManagedDatabaseStatus

Status van de database.

Waarde Description
Online

Online

Offline

Offline

Shutdown

Uitschakelen

Creating

Creëren

Inaccessible

Ontoegankelijk

Restoring

Herstellen

Updating

Bijwerken

Stopping

Het stoppen

Stopped

Gestopt

Starting

Starting

DbMoving

DbMoving

DbCopying

DbCopying

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

Het tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.